Weave Installer

The Weave Installer will help a user at any level of technical ability to setup their server environment to run Weave.

Download

Requirements for full server install

  • Tomcat and MySQL which are bundled in this application
  • Supported Operating System(s):
    • Windows XP, Vista, 7
    • Windows Server 2003, 2008

Important Note: You must run this tool with administrative permissions. It will not be able to write the Weave files to disk without it.

For other operating systems, consult the Deployment and installation Guide

Server Installation and Configuration

  1. Unzip the contents of the zip file to a directory
  2. Run the WeaveInstaller executable.
    • For first-time setup, the installer will require you to configure some settings.
  3. In the configure settings panel, download and run the MySQL and Tomcat installers if necessary.

Walkthroughs for these installations are available in the zip file.

Updating Weave server installation

To update Weave at any time:

  • Run the WeaveInstaller tool
  • You must have the settings configured for this to work
  • It will check your version with the latest version and let you know if there is an update available
  • Click "Install" if there is a newer version of Weave available.

configure.gif (145.9 kB) Pat Stickney, 07/20/2012 01:30 pm

update.gif (165.8 kB) Pat Stickney, 07/20/2012 01:30 pm

updater.png (31.2 kB) Pat Stickney, 07/20/2012 03:14 pm